khal_0.9.10-1_all.deb


Advertisement

Description

khal - Standards based CLI and terminal calendar program

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename khal_0.9.10-1_all.deb
Package name khal
Package version 0.9.10
Package release 1
Package architecture all
Package type deb
Category universe/utils
Homepage https://github.com/pimutils/khal
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 89.15 KB
Installed size 435.00 KB
Features:
- khal can read and write events/icalendars to vdir, so vdirsyncer can be
used to synchronize calendars with a variety of other programs, for
example CalDAV servers.
- fast and easy way to add new events
- ikhal (interactive khal) lets you browse and edit calendars and events

Alternatives

Package Version Architecture Repository
khal_0.9.10-1_all.deb 0.9.10 all Ubuntu Universe
khal - - -

Requires

Name Value
python3-atomicwrites -
python3-click >= 3.2
python3-configobj -
python3-dateutil -
python3-icalendar -
python3-pkg-resources -
python3-tz -
python3-tzlocal -
python3-urwid -
python3-xdg -
python3:any -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package khal_0.9.10-1_all.deb
Source Package khal

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install khal deb package:
    # sudo apt-get install khal

Files

Path
/usr/bin/ikhal
/usr/bin/khal
/usr/lib/python3/dist-packages/khal/__init__.py
/usr/lib/python3/dist-packages/khal/__main__.py
/usr/lib/python3/dist-packages/khal/calendar_display.py
/usr/lib/python3/dist-packages/khal/cli.py
/usr/lib/python3/dist-packages/khal/configwizard.py
/usr/lib/python3/dist-packages/khal/controllers.py
/usr/lib/python3/dist-packages/khal/exceptions.py
/usr/lib/python3/dist-packages/khal/log.py
/usr/lib/python3/dist-packages/khal/terminal.py
/usr/lib/python3/dist-packages/khal/utils.py
/usr/lib/python3/dist-packages/khal/version.py
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/PKG-INFO
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/dependency_links.txt
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/entry_points.txt
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/not-zip-safe
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/requires.txt
/usr/lib/python3/dist-packages/khal-0.9.10.egg-info/top_level.txt
/usr/lib/python3/dist-packages/khal/khalendar/__init__.py
/usr/lib/python3/dist-packages/khal/khalendar/backend.py
/usr/lib/python3/dist-packages/khal/khalendar/event.py
/usr/lib/python3/dist-packages/khal/khalendar/exceptions.py
/usr/lib/python3/dist-packages/khal/khalendar/khalendar.py
/usr/lib/python3/dist-packages/khal/khalendar/utils.py
/usr/lib/python3/dist-packages/khal/khalendar/vdir.py
/usr/lib/python3/dist-packages/khal/settings/__init__.py
/usr/lib/python3/dist-packages/khal/settings/exceptions.py
/usr/lib/python3/dist-packages/khal/settings/khal.spec
/usr/lib/python3/dist-packages/khal/settings/settings.py
/usr/lib/python3/dist-packages/khal/settings/utils.py
/usr/lib/python3/dist-packages/khal/ui/__init__.py
/usr/lib/python3/dist-packages/khal/ui/base.py
/usr/lib/python3/dist-packages/khal/ui/calendarwidget.py
/usr/lib/python3/dist-packages/khal/ui/colors.py
/usr/lib/python3/dist-packages/khal/ui/editor.py
/usr/lib/python3/dist-packages/khal/ui/widgets.py
/usr/share/doc/khal/changelog.Debian.gz
/usr/share/doc/khal/copyright
/usr/share/doc/khal/examples/khal.conf
/usr/share/doc/khal/examples/mutt2khal
/usr/share/man/man1/ikhal.1.gz
/usr/share/man/man1/khal.1.gz
/usr/share/zsh/vendor-completions/_khal

Changelog

2019-01-22 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.10-1) unstable; urgency=medium
[ Ondřej Nový ]
* d/copyright: Use https protocol in Format field
* d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
* Use 'python3 -m sphinx' instead of sphinx-build for building docs
* Non-maintainer upload.
[ Filip Pytloun ]
* d/compat: Raise to version 12
* d/control: Raise standards version to 4.3.0
* d/control: Depend on vdirsyncer 0.16.7, Closes: #918279
2018-12-13 - Jonas Smedegaard <dr@jones.dk>
khal (1:0.9.10-0.1) unstable; urgency=medium
* Non-maintainer upload.
[ Jonas Smedegaard ]
* New upstream version 0.9.6.1
Closes: Bug#908497. Thanks to Paul Gevers and Adrian Bunk.
* Unfuzz patch 0007.
* Add patch 0008 to fix pass categories as list in test.
2017-12-11 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.8-1) unstable; urgency=medium
* New upstream version
2017-08-17 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.6-3) unstable; urgency=medium
* d/patches: removed patch modifying upstream license file
2017-07-18 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.6-2) unstable; urgency=medium
* Fix FTBFS by marking test that requires stdin as xfail,
Upstream bug: https://github.com/pimutils/khal/issues/683
(Closes: #868773)
* Raise debhelper compat to 10
* Raise standards version to 4.0.0
* Remove unwanted license.rst.txt file from docs
2017-07-18 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.6-1) unstable; urgency=medium
* New upstream version (Closes: #867797)
* d/patches: rebase for new release
2017-05-09 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.5-4) experimental; urgency=medium
* Add locales-all into build dependencies as all locales are needed to
execute tests (open-infrastructure-locales-c.utf-8 that also satisfies
locales requirement doesn't provide all required locales)
2017-05-09 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.9.5-3) experimental; urgency=medium
* New upstream version
* d/patches: rebase for new version
* d/patches: drop patch
0006-Tolerate-occassionally-failing-update_db-related-tes.patch which
should not be needed anymore
* Suggest khal-doc (Closes: #861813)
2017-05-03 - Filip Pytloun <filip@pytloun.cz>
khal (1:0.8.4-4) unstable; urgency=medium
* Raise epoch to "revert" new upstream version in unstable and pass
stretch migration
* d/copyright: mention presence of
0002-Reference-license-from-copyright-file.patch (Closes: #860984)
* d/copyright: add upstream contact
* d/copyright: update copyright year
* d/patches: some TZ tests may fail due to Debian's python-tz of older
version but with newer TZ definitions, should be removed when 2017.2
reaches sid (Closes: #859472)
2017-01-17 - Filip Pytloun <filip@pytloun.cz>
khal (0.8.4-3) unstable; urgency=medium
* d/patches: tolerate more occasionally failing tests where
coll.update_db() is called, fixes random FTBFS (Closes: #851417)

See Also

Package Description
khangman_18.12.3-0ubuntu1_amd64.deb Hangman word puzzle
khard_0.13.0-1_amd64.deb address book for the Linux console
khelpcenter_18.12.3-0ubuntu1_amd64.deb KDE documentation viewer
khmer-common_2.1.2+dfsg-6_all.deb common files for the khmer project tools
khmer_2.1.2+dfsg-6_amd64.deb in-memory DNA sequence kmer counting, filtering & graph traversal
khmerconverter_1.4-1.2_all.deb converts between legacy Khmer encodings and Unicode
khotkeys-data_5.15.4-0ubuntu1_all.deb configure input actions settings
khotkeys-dev_5.15.4-0ubuntu1_amd64.deb configure input actions settings
khotkeys_5.15.4-0ubuntu1_amd64.deb configure input actions settings
khronos-api_4.6+git20180514-1_all.deb Khronos XML API Registry
kicad-common_5.0.2+dfsg1-1_all.deb Old common files used by kicad - Transitional Package
kicad-demos_5.0.2+dfsg1-1_all.deb Demo projects for kicad
kicad-doc-ca_5.0.2+dfsg1-1_all.deb Kicad help files (Catalan)
kicad-doc-de_5.0.2+dfsg1-1_all.deb Kicad help files (German)
kicad-doc-en_5.0.2+dfsg1-1_all.deb Kicad help files (English)
Advertisement
Advertisement